#!/bin/bash
# Updates the dabase to conform to the new host.
# The name of the new host is found out using the hostname command.
# if Hostname does not work, this script does not work either.

if [ -z "$1" ]
then
    echo "Usage: update_db.sh username db_name"
    exit 1
fi
if [ -z "$2" ]
then
    echo "Usage: update_db.sh username db_name"
    exit 1
fi

PSQL=`which psql`
SERVER=`hostname -s`
DOMAIN=`hostname -d`
USERNAME=$1
DB_NAME=$2

$PSQL -U $USERNAME -d $DB_NAME -c "UPDATE appletparameter SET value='$SERVER.$DOMAIN' WHERE name='trakla2Host'"
$PSQL -U $USERNAME -d $DB_NAME -c "UPDATE appletexercise SET codebase='https://$SERVER.$DOMAIN'"

