// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer;

/**
 * Represents user information aquired through shibboleth.
 */
public class StudentShibInfo {
    String id;
    String gender;
    String organization;
    String organizationName;
    String studentNumber;
    String commonName;
    String displayName;
    String givenName;
    String surname;
    String email;
    String lang;
    
    public StudentShibInfo(String studentId) {
        this.id = studentId;
        this.gender = "u";
    }
    
    public String getId() {
        return this.id;
    }
    
    public String getEmail() {
        return email;
    }
    
    public void setEmail(String email) {
        this.email = email;
    }
    
    public String getGender() {
        return gender;
    }
    public void setGender(String gender) {
        if (gender.equals("u") || gender.equals("m") || gender.equals("f")) {
            this.gender = gender;
        }
    }
    
    public String getGivenName() {
        return givenName;
    }
    
    public void setGivenName(String givenName) {
        this.givenName = givenName;
    }
    
    public String getLang() {
        return lang;
    }
    
    public void setLang(String lang) {
        this.lang = lang;
    }
    
    public String getCommonName() {
        return commonName;
    }
    
    public void setCommonName(String name) {
        this.commonName = name;
    }
    
    public String getDisplayName() {
        return displayName;
    }
    
    public void setDisplayName(String nickName) {
        this.displayName = nickName;
    }
    
    public String getOrganization() {
        return organization;
    }
    
    public void setOrganization(String organization) {
        this.organization = organization;
    }
    
    public String getOrganizationName() {
        return organizationName;
    }
    
    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }
    
    public String getStudentNumber() {
        return studentNumber;
    }
    
    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber;
    }
    
    public String getSurname() {
        return surname;
    }
    
    public void setSurname(String surname) {
        this.surname = surname;
    }
    
    public boolean equals(StudentShibInfo other) {
        // TODO: implement hashCode() method
        
        if (this.id != other.id) {
            return false;
        }
        if (this.gender != other.gender) {
            return false;
        }
        if (this.organization != other.organization) {
            return false;
        }
        if (this.organizationName != other.organizationName) {
            return false;
        }
        if (this.studentNumber != other.studentNumber) {
            return false;
        }
        if (this.commonName != other.commonName) {
            return false;
        }
        if (this.displayName != other.displayName) {
            return false;
        }
        if (this.givenName != other.givenName) {
            return false;
        }
        if (this.surname != other.surname) {
            return false;
        }
        if (this.email != other.email) {
            return false;
        }
        if (this.lang != other.lang) {
            return false;
        }
        
        return true;
    }
    
    /*
    TODO: Implement this
    public int hashCode() {
    }
    */
}
