// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.components;

import org.apache.tapestry.BaseComponent;

import cexer.RoundStatistics;
import cexer.Statistics;
import cexer.Round;

public abstract class PointDistribution extends BaseComponent {

    private Round round;
    
    public abstract int getRoundIndex();
    
    public abstract Integer getAmount();
    
    public abstract void setAmount(Integer amount);
    
    public abstract int getAccumulatingAmount();
    
    public abstract void setAccumulatingAmount(int amount);
    
    public abstract Statistics getStatistics();
    
    public abstract int getExerciseIndex();
    
    public abstract String getRowStyle1();
    
    public abstract String getRowStyle2();
    
    
    public Round getRound() {
        return round;
    }

   public void setRound(Round r) {
        round = r;
        setAccumulatingAmount(0);
    }
    
    public String getRowStyle() {
        if((getExerciseIndex() % 2)==1)
            return getRowStyle2();
        else return getRowStyle1();
    }
    
    public int getAmountOfStudents() {
        return getStatistics().getNroStudents();
    }

    public Integer getPointAmount() {
        /* if(getExerciseIndex() == 0) {
            int nr = getAmountOfStudents() - getRoundStatistics().getAmountOfStudents();
            setAmount(new Integer(nr));
            setAccumulatingAmount(getAccumulatingAmount() + nr);
        } */
        return getAmount();
    }
    
    public void setPointAmount(Integer i) {
        setAmount(i);
        setAccumulatingAmount(getAccumulatingAmount() + i.intValue());
    }

    public RoundStatistics getRoundStatistics() {
        return getStatistics().getRoundStatistics(getRound().getRoundNumber()-1);
    }
    
    public void setRoundStatistics(RoundStatistics r) {
        setAccumulatingAmount(0);
    }
    
    public int getAccumulatingPercentage() {
    return (int) (100*((float)getAccumulatingAmount() / (float)getAmountOfStudents())); 
    }

    public int getPercentage() {
    return (int) (100*(getAmount().floatValue() / (float)getAmountOfStudents()));
    }
    
    public void detach() {
        round = null;
    }
}
