// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.pages;

import org.apache.tapestry.IBinding;
import org.apache.tapestry.html.BasePage;

import cexer.DataStorage;
import cexer.StudentSession;
import cexer.util.Logging;


public abstract class LinkRedirectPage extends BasePage {
    private String link;

    public abstract boolean getSessionState();

    public abstract StudentSession getStudentSession();


    public String getRefreshUrl() {
        handleParameters();
        String ret = "0;URL=";
        //make sure properties are loaded
        return ret + getTargetPage();
    }

    public String getTargetPage() {
        return link;
    }

    public void handleParameters() {
        StudentSession session = getStudentSession();
        String name = getRequestCycle().getRequestContext().getParameter("link");
        link = DataStorage.getInstance().getLinkTarget(name);
        String uname = "unknown";

        if (getSessionState() && session.getStudent() != null) {
            uname = session.getStudent().getId();
        }

        Logging.info(this, "User " + uname + " clicked link " + name);
    }

    public void detach() {
        super.detach();
        link = null;
    }
}
