// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.pages;

import org.apache.tapestry.html.BasePage;
import org.apache.tapestry.IRequestCycle;
import cexer.*;
import java.util.List;

public class MonitorCourseProgressPage extends SecurePage {

    private Round round;
    private Student student;
    private List studentResults;
    
    public Round getRound() {
	return round;
    }

    public void setRound(Round c) {
	round = c;
    }

    public Student getStudent() {
        //System.out.println("results fro student: " + student.getStudentNumber());
        return student;
    }

    public void setStudent(Student s) {
	student = s;
    }

    public int getResult() {
	Visit visit = (Visit)getVisit();
	return student.getRoundResult(visit.getCourse(),getRound().getRoundNumber());
    }

    public int getTotal() {
	Visit visit = (Visit)getVisit();
	return student.getCourseResult(visit.getCourse());
    }

    public String getGrade() {
	Visit visit = (Visit)getVisit();
	return student.getGrade(visit.getCourse());
    }

    public List getStudentResults() {
	Visit visit = (Visit)getVisit();
	//System.out.println("Showing results for course " + visit.getCourse().getCourseCode());
	DataStorage ds = DataStorage.getInstance();
	studentResults = ds.getCourseResults(visit.getCourse());
	//System.out.println("Nro of results: " + l.size());
	return studentResults;
    }


    public void studentInfoAction(IRequestCycle cycle) {
	Visit v = (Visit) getVisit();
	v.setMonitoredStudent(getStudent());
	cycle.activate("MonitorStudent");
    }

    public void textResults(IRequestCycle cycle) {
	MonitorTextResultsPage next_page = (MonitorTextResultsPage) cycle.getPage("MonitorTextResults");
	next_page.setStudentResults(studentResults);
	cycle.activate(next_page);

    }

    public void detach() {
	super.detach();
	round = null;
	student = null;
	studentResults = null;
    }


}
