// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.pages;

import org.apache.tapestry.html.BasePage;
import org.apache.tapestry.IRequestCycle;
import cexer.*;

import java.util.List;

public abstract class MonitorStudentExercisePage extends SecurePage {

    private Answer answer;

    public abstract MonitorSession getMonitorSession();

    public Exercise getExercise() {
        return getMonitorSession().getExercise();
    }

    public void setExercise(Exercise ex) {}

    public String getExerciseName() {
        return getExercise().getLocalizedName(getPage().getLocale().getLanguage());
    }

    public void setExerciseName(String s) {}

    public void setAnswers(List l) {}

    public List getAnswers() {
        MonitorSession session = getMonitorSession();
        DataStorage ds = DataStorage.getInstance();
        return ds.getAnswers(session.getCourse().getId(),
                session.getRound().getId(),
                session.getExercise().getNumber(),
                session.getMonitoredStudent().getId());
    }

    public void setAnswer(Answer a) {
        answer = a;
    }

    public Answer getAnswer() {
        return answer;
    }

    public void detach() {
        super.detach();
        answer = null;
    }

    public void showSubmission(IRequestCycle cycle) {
        MonitorViewStudentSubmissionPage next_page = (MonitorViewStudentSubmissionPage)cycle.getPage("MonitorViewStudentSubmission");
        next_page.setAnswer(getAnswer());
        cycle.activate(next_page);
    }
}
