// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.pages;

import org.apache.tapestry.IBinding;
import org.apache.tapestry.html.BasePage;

public class StaticLanguageChangePage extends BasePage {
    private String prev;

    public String getRefreshUrl() {
	handleParameters();
	String ret = "0;URL=http://";
	//make sure properties are loaded
	cexer.DataStorage.getInstance();
	String server = System.getProperty("http.server");
	if(server == null) {
	    server = "";
	}
	return ret + server + "/" + getPrevPage();
    }

    public String getPrevPage() {
	return prev;
    }

    public String handleParameters() {
	String lang = getRequestCycle().getRequestContext().getParameter("lang");
	prev = getRequestCycle().getRequestContext().getParameter("prev");
	getRequestCycle().getEngine().setLocale(new java.util.Locale(lang, ""));
	return "";
    }

    public void detach() {
	super.detach();
	prev = null;
    }
}
