// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.util;

/**
 * ArrayCache with some Course-specific functionality
 */ 

import cexer.Course;

public class CourseCache extends ArrayCache {

    public synchronized Course getCourse(int courseId) {
	for(int i = 0; i < size; i++) {
	    Course c = (Course)cache[i];
	    if(c != null && c.getId() == courseId) 
		return c;
	}
	return null;
    }

}
