// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.util;

import java.util.List;

import org.apache.tapestry.form.IPropertySelectionModel;
import cexer.Course;
import cexer.Student;

public class CourseSelectionModel implements IPropertySelectionModel {

    private List courses;
    private String lang = Student.DEFAULT_LANGUAGE;

    public CourseSelectionModel(List courses) {
	this.courses = courses;
    }

    public CourseSelectionModel(List courses, String lang) {
	this(courses);
	this.lang = lang;
    }

    public String getLabel(int index) {
	Course c = (Course)courses.get(index);
    if(c.getOrganization() == null || c.getOrganization().getLocalizedAcronym(lang) == null || c.getOrganization().getLocalizedAcronym(lang).equals(""))
        return c.getCourseCode() + " " + c.getLocalizedName(lang);
    else return c.getCourseCode() + " " + c.getLocalizedName(lang) + " (" + c.getOrganization().getLocalizedAcronym(lang) + ")";
	//return ((Course)courses.get(index)).getFullCourseName();
    }
    
    public Object getOption(int index) {
	return courses.get(index);
    }

    public int getOptionCount() {
	return courses.size();
    }

    public String getValue(int index) {
	return Integer.toString(index);
    }

    public Object translateValue(String value) {
	return getOption(Integer.parseInt(value));
    }
    
    public List getList() {
        return courses;
    }

}
