// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.util;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

import cexer.DataStorage;

public class FingerprintHelper {
    public static String getFingerprint(String course, int round, int exercise,
                                        String studentId, int maxPoints,
                                        String exerciseClass)
    {
        if(studentId == null) {
            return "";
        }

        DataStorage.getInstance();
        String fp =  course + round + exercise + maxPoints + System.getProperty("server.fingerprint") +
            exerciseClass + studentId.toUpperCase();

        return fp.trim();
    }

    public static String calculateMD5(String s) throws NoSuchAlgorithmException  {
        MessageDigest md5Digest = MessageDigest.getInstance("MD5");
        return asHex(md5Digest.digest(s.getBytes()));
    }

    private static String asHex(byte[] b) {
        char hex[] = {'0','1','2','3','4','5','6','7','8','9','a','b','c','d','e','f'};

        StringBuffer resultString = new StringBuffer();

        for (int i=0; i<b.length;i++) {
            resultString.append(hex[(b[i]>>4)&15]);
            resultString.append(hex[b[i]&15]);
        }

        return resultString.toString();
    }
}
