// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.util;

public class StadiaChecker extends Checker {

    /* (non-Javadoc)
     * @see cexer.util.Checker#isCorrectStudentNumber(java.lang.String)
     */
    public boolean isCorrectStudentNumber(String studentNumber) {
        if (studentNumber.length() != 7)
            return false;
        try {
            Integer.parseInt(studentNumber);
        } catch (NumberFormatException nfe) {
            return false;
        }
        int start = Integer.parseInt(studentNumber.substring(0, 2));
        if (start >= 95 || start <= 7)            
            return true;
        return false;
    }

}
