// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.util.chart;

import org.apache.tapestry.asset.AbstractAsset;
import org.apache.tapestry.IRequestCycle;
import org.apache.tapestry.IComponent;
import org.apache.tapestry.engine.IEngineService;
import org.apache.tapestry.IEngine;
import org.apache.tapestry.engine.ILink;

import java.io.InputStream;

public class ChartAsset extends AbstractAsset {

    private IEngineService chartService;
    private IComponent provider;
    private String chartName;

    public ChartAsset(IRequestCycle cycle, IComponent provider, String chartName) {
	super(null,null);

	IEngine en = cycle.getEngine();
	chartService = en.getService(ChartService.SERVICE_NAME);

	this.provider = provider;
	this.chartName = chartName;
    }

    //v3: public String buildURL(IRequestCycle cycle) {
    
    public String buildURL() {
	//v3: Object[] params = { name };
        
    /* ILink getLink(boolean post, java.lang.Object parameter)     
     * This method changed incompatibly between release 3.0 and release 4.0.
     * Parameters:
     * post - if true, then the link will be used for a post (not a get, i.e., for a HTML form); this may affect what information is encoded into the link
     * parameter - An object that provide any additional information needed by the service. Each service implementation will expect that an object of the proper type be passed in. In some cases, a simple String will do; in others, a specific object (possibly implementing an interface) will be required. 
     * Returns:
     * The URL for the service. The URL will have to be encoded via HttpServletResponse.encodeURL(java.lang.String).
     */    
        
	// v3: ILink l = chartService.getLink(cycle, provider,params);
        ILink l = chartService.getLink(false, this);
        return l.getURL();
    }

    public String getChartName() {
        return chartName;
    }
    
    public IComponent getProvider() {
        return provider;
    }
    
    //v3: public InputStream getResourceAsStream(IRequestCycle cycle) {
    public InputStream getResourceAsStream() {
	return null;
    }
}
