/*********
 * Here we create some users
**********/
INSERT INTO users (id, password, studentNumber, randomSeed, email, name, lang)
    VALUES ('ADMIN', 'admin', null, null, null, 'Admin', 'en');
INSERT INTO users (id, password, studentNumber, randomSeed, email, name, lang)
    VALUES ('TEACHER', 'teacher', null, null, null, 'Teacher', 'en');
INSERT INTO users (id, password, studentNumber, randomSeed, email, name, lang)
    VALUES ('STUDENT', 'student', null, null, null, 'Student', 'en');


/****************
 * Organizations
 ****************/

INSERT INTO organization (id) VALUES (10);
INSERT INTO organizationDescription (orgid, lang, acronym, name)
    VALUES (10, 'en', 'Example', 'Example University of Technology');


/****************
 * Courses
 ****************/

INSERT INTO course (code, id, minpoints, open, close, organization_id, organizer_uid)
    VALUES ('TEST', 100, 0, '2007-01-01', '2010-08-01', 10, 'teacher');

INSERT INTO coursedescription (cid, name, lang, description, link)
    VALUES (100, 'Test Course', 'en', 'This is a TRAKLA2 test course intended only for testing and demonstration purposes as well as for short time independent learning. This website and the material herein are provided \'as is\', without any representation or endorsement made and without warranty of any kind whether express or implied, including but not limited to the implied warranties of satisfactory quality, fitness for a particular purpose, non-infringement, compatibility, security and accuracy. TRAKLA2 exercises are especially targeted to Data Structures and Algorithms courses. Each exercise is an independent learning object that you can interact with and receive immediate feedback on your performance in terms of automatic assessment, i.e., the system reports the number of correct steps out of the maximum steps when requested. In addition, the model solutions are available for each exercise. All you need to do the exercises is a Java enabled web browser. A lecturer, for example, can demonstrate the working of an algorithm or a learner is able to practice an algorithm after or during the lecture. A new instance of an exercise is produced each time the exercise is initialized, thus it is possible to provide individually tailored exercises and to practice algorithms with unlimited number of times.  Try out, e.g., Postfix evaluation exercise in the 1st round, or read the tutorial on http://www.cs.hut.fi/Research/TRAKLA2/support.shtml to learn more about the system.', null);

/* Register the users for the course */
INSERT INTO registrations VALUES('STUDENT', 100, 0);
INSERT INTO registrations VALUES('TEACHER', 100, 1);
INSERT INTO registrations VALUES('ADMIN', 100, 2);

/* Create rounds; (cid, id, deadline, makeupfactor, number, minpoints, open date) */
INSERT INTO round VALUES(100, 101, '2009-01-01 00:00:00', 0, 1, 0, '2005-01-19 00:00:00');
INSERT INTO round VALUES(100, 102, '2009-01-01 00:00:00', 0, 2, 0, '2005-01-19 00:00:00');
INSERT INTO round VALUES(100, 103, '2009-01-01 00:00:00', 0, 3, 0, '2005-01-19 00:00:00');
INSERT INTO round VALUES(100, 104, '2009-01-01 00:00:00', 0, 4, 0, '2005-01-19 00:00:00');
INSERT INTO round VALUES(100, 105, '2009-01-01 00:00:00', 0, 5, 0, '2005-01-19 00:00:00');
INSERT INTO round VALUES(100, 106, '2009-01-01 00:00:00', 0, 6, 0, '2005-01-19 00:00:00');
INSERT INTO round VALUES(100, 107, '2009-01-01 00:00:00', 0, 7, 0, '2005-01-19 00:00:00');
INSERT INTO round VALUES(100, 108, '2009-01-01 00:00:00', 0, 8, 0, '2005-01-19 00:00:00');

/* Add exercises; (rid, id, number, points, submissions) */
INSERT INTO exercises VALUES(101, 1, 1, 2, 32767);
INSERT INTO exercises VALUES(101, 10, 2, 2, 32767);
INSERT INTO exercises VALUES(101, 8, 3, 1, 32767);
INSERT INTO exercises VALUES(101, 23, 4, 3, 32767);
INSERT INTO exercises VALUES(101, 9, 5, 1, 32767);
INSERT INTO exercises VALUES(101, 7, 6, 1, 32767);
INSERT INTO exercises VALUES(101, 6, 7, 1, 32767);
INSERT INTO exercises VALUES(101, 38, 8, 1, 32767);
INSERT INTO exercises VALUES(101, 37, 9, 1, 32767);
INSERT INTO exercises VALUES(101, 48, 10, 4, 32767);
INSERT INTO exercises VALUES(101, 990, 11, 0, 32767);

INSERT INTO exercises VALUES(102, 24, 1, 4, 32767);
INSERT INTO exercises VALUES(102, 25, 2, 4, 32767);
INSERT INTO exercises VALUES(102, 39, 3, 2, 32767);
INSERT INTO exercises VALUES(102, 40, 4, 2, 32767);
INSERT INTO exercises VALUES(102, 41, 5, 2, 32767);
INSERT INTO exercises VALUES(102, 42, 6, 2, 32767);
INSERT INTO exercises VALUES(102, 47, 7, 4, 32767);

INSERT INTO exercises VALUES(103, 14, 1, 3, 32767);
INSERT INTO exercises VALUES(103, 13, 2, 3, 32767);

INSERT INTO exercises VALUES(104, 28, 1, 2, 32767);
INSERT INTO exercises VALUES(104, 5, 2, 2, 32767);
INSERT INTO exercises VALUES(104, 4, 3, 2, 32767);
INSERT INTO exercises VALUES(104, 22, 4, 3, 32767);
INSERT INTO exercises VALUES(104, 3, 5, 2, 32767);
INSERT INTO exercises VALUES(104, 16, 6, 2, 32767);
INSERT INTO exercises VALUES(104, 21, 7, 2, 32767);
INSERT INTO exercises VALUES(104, 20, 8, 2, 32767);
INSERT INTO exercises VALUES(104, 2, 9, 3, 32767);
INSERT INTO exercises VALUES(104, 15, 10, 4, 32767);
INSERT INTO exercises VALUES(104, 31, 11, 2, 32767);
INSERT INTO exercises VALUES(104, 30, 12, 4, 32767);
INSERT INTO exercises VALUES(104, 43, 13, 2, 32767);
INSERT INTO exercises VALUES(104, 45, 14, 2, 32767);
INSERT INTO exercises VALUES(104, 46, 15, 2, 32767);

INSERT INTO exercises VALUES(105, 12, 1, 2, 32767);
INSERT INTO exercises VALUES(105, 11, 2, 2, 32767);
INSERT INTO exercises VALUES(105, 17, 3, 2, 32767);

INSERT INTO exercises VALUES(106, 19, 1, 2, 32767);
INSERT INTO exercises VALUES(106, 18, 2, 2, 32767);
INSERT INTO exercises VALUES(106, 27, 3, 4, 32767);
INSERT INTO exercises VALUES(106, 26, 4, 4, 32767);
INSERT INTO exercises VALUES(106, 44, 5, 4, 32767);

INSERT INTO exercises VALUES(107, 34, 3, 1, 32767);
INSERT INTO exercises VALUES(107, 35, 4, 1, 32767);
INSERT INTO exercises VALUES(107, 36, 5, 1, 32767);
INSERT INTO exercises VALUES(107, 32, 1, 2, 32767);
INSERT INTO exercises VALUES(107, 33, 2, 3, 32767);

INSERT INTO exercises VALUES(108, 204, 1, 4, 32767);
INSERT INTO exercises VALUES(108, 205, 2, 4, 32767);
INSERT INTO exercises VALUES(108, 212, 3, 4, 32767);
INSERT INTO exercises VALUES(108, 215, 4, 8, 32767);
INSERT INTO exercises VALUES(108, 202, 5, 6, 32767);
INSERT INTO exercises VALUES(108, 203, 6, 6, 32767);
INSERT INTO exercises VALUES(108, 201, 7, 3, 32767);
INSERT INTO exercises VALUES(108, 200, 8, 6, 32767);
INSERT INTO exercises VALUES(108, 208, 9, 6, 32767);
INSERT INTO exercises VALUES(108, 214, 10, 8, 32767);
INSERT INTO exercises VALUES(108, 216, 12, 6, 32767);
INSERT INTO exercises VALUES(108, 217, 11, 6, 32767);

