package junit.cexer;

import junit.framework.TestCase;
import cexer.*;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

public class AnswerTest extends TestCase {

    private Answer answer1, answer2, answer2illegal, answer3;
    
    private int points = 3;
    private int status = DataStorage.OK;
    private int illegalStatus = DataStorage.AFTER_DEADLINE;
    private Date timestamp = new Date();
    private String filename = "filename";
    
    protected void setUp() throws Exception {
        super.setUp();
        answer1 = new Answer(points, timestamp);
        answer2 = new Answer(points, status, timestamp);
        answer2illegal = new Answer(points, illegalStatus, timestamp);
        answer3 = new Answer(points, status, timestamp, filename);
    }
    
    /*
     * Test method for 'cexer.Answer.Answer(int, Date)'
     */
    public void testAnswerIntDate() {
        assertEquals(answer1.getPoints(), points);
        assertEquals(answer1.getTimeStamp(), timestamp);        
    }

    /*
     * Test method for 'cexer.Answer.Answer(int, int, Date)'
     */
    public void testAnswerIntIntDate() {
        assertEquals(answer2.getPoints(), points);
        assertEquals(answer2.getStatus(), status);        
        assertEquals(answer2.getTimeStamp(), timestamp);           
    }

    /*
     * Test method for 'cexer.Answer.Answer(int, int, Date, String)'
     */
    public void testAnswerIntIntDateString() {
        assertEquals(answer3.getPoints(), points);
        assertEquals(answer3.getStatus(), status);        
        assertEquals(answer3.getTimeStamp(), timestamp);          
        assertEquals(answer3.getFileName() , filename);         
    }

    /*
     * Test method for 'cexer.Answer.isBadStatus()'
     */
    public void testIsBadStatus() {
        assertTrue(answer2illegal.isBadStatus());
        assertFalse(answer2.isBadStatus());
    }

    /*
     * Test method for 'cexer.Answer.isFile()'
     */
    public void testIsFile() {
        assertTrue(answer3.isFile());
        assertFalse(answer2.isFile());
    }

    /*
     * Test method for 'cexer.Answer.getFormattedTimestamp()'
     */
    public void testGetFormattedTimestamp() {
        DateFormat df = new SimpleDateFormat("dd.MM.yyyy HH:mm:ss");
        assertEquals(answer1.getFormattedTimestamp(), df.format(timestamp));
    }

}
