package junit.cexer;

import static org.junit.Assert.*;

import java.util.ArrayList;

import org.junit.*;
import junit.framework.JUnit4TestAdapter;

import cexer.Course;
import cexer.Exercise;
import cexer.ExerciseTemplate;
import cexer.Round;

public class CourseTest {

    private String courseCode, courseName;
    private Round round, round2;
    private Exercise exercise, exercise2;
    
    @Before
    public void setUp() {
        courseCode = "T-106.999";
        courseName = "Test course";    
        
        round = new Round();
        round.setRoundNumber(1);
        round.setId(101);
        round2 = new Round();
        round2.setRoundNumber(2);
        round.setId(102);
        
        int maxPoints = 5;
        int exerciseNumber = 2;
        String[] params = new String[8];
        params[0] = "Exercise Name";
        params[1] = "Exercise description";
        params[2] = "Exercise codebase";
        params[3] = "Archive";
        params[4] = "Code";
        params[5] = "100";
        params[6] = "100";        
        params[7] = "Hintpage adress";   
        exercise = new Exercise(new ExerciseTemplate(params,new ArrayList()), maxPoints, exerciseNumber);        
        exercise2 = new Exercise(new ExerciseTemplate(params,new ArrayList()), maxPoints, exerciseNumber + 1);
        round.addExercise(exercise);
        round.addExercise(exercise2);
    }

    @After
    public void tearDown() {
    }

    @Test
    public void testCourseString() {
        Course c = new Course(courseCode);
        Course c2 = new Course(null);
        
        assertEquals(c.getCourseCode(), courseCode);
        assertEquals(c.getMin(), 0);
        assertEquals(c.getMax(), 0);
        assertEquals(c.getCourseName(), null);
        assertEquals(c.getFullCourseName(), courseCode + " " + null);
        assertEquals(c2.getCourseCode(), null);
    }

    @Test
    public void testCourseStringString() {
        Course c = new Course(courseCode, courseName);
        
        assertEquals(c.getCourseName(), courseName); 
        assertEquals(c.getFullCourseName(), courseCode + " " + courseName); 
    }

    @Test
    public void testAddRound() {
        Course c = new Course(courseCode, courseName);
        
        c.addRound(round);
        
        assertTrue(c.getRoundList().contains(round));
        assertEquals(c.getMax(), round.getMax());
    }

    @Test
    public void testRemoveRound() {
        Course c = new Course(courseCode, courseName);
        
        c.addRound(round);
        c.addRound(round2);
        c.removeRound(round);
        assertFalse(c.getRoundList().contains(round));
        assertEquals(c.getRoundList().size(), 1);
    }

    @Test
    public void testGetRoundList() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetMax() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetMin() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testSetMin() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testEqualsObject() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testAddLocalizedData() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetLocalizedName() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetLocalizedDescription() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testSetLocalizedDescription() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetLocalizedLink() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testSetLocalizedLink() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testSetOpen() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetOpen() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetFormattedOpen() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testSetClose() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetClose() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetFormattedClose() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetCheckerClass() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testSetCheckerClass() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testSetGrades() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetGrades() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetGradeMinPoints() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetGrade() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testToString() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testIsOpen() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetSupportedLocaleIterator() {
        fail("Not yet implemented"); // TODO
    }

    @Test
    public void testGetSupportedLocales() {
        fail("Not yet implemented"); // TODO
    }
    
    public static junit.framework.Test suite() {
        return new JUnit4TestAdapter(StudentTest.class);
    }

}
